<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__btm__ble__conn__whitelist__functions" kind="group">
    <compoundname>btm_ble_conn_whitelist_functions</compoundname>
    <title>Connection and Whitelist</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__btm__ble__conn__whitelist__functions_1gafd00c59332fb49892049d915769a2f5f" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_set_background_connection_type</definition>
        <argsstring>(wiced_bt_ble_conn_type_t conn_type, wiced_bt_ble_selective_conn_cback_t *p_select_cback)</argsstring>
        <name>wiced_bt_ble_set_background_connection_type</name>
        <param>
          <type><ref kindref="member" refid="group__btm__ble__api__functions_1ga6784dc351a127f7cd9b3fbf9f1d5c49c">wiced_bt_ble_conn_type_t</ref></type>
          <declname>conn_type</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__btm__ble__api__functions_1gad4ab3f807477113a1fc2bd4b70b31f4f">wiced_bt_ble_selective_conn_cback_t</ref> *</type>
          <declname>p_select_cback</declname>
        </param>
        <briefdescription>
<para>Set BLE background connection procedure type. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">conn_type</parametername>
</parameternamelist>
<parameterdescription>
<para>BTM_BLE_CONN_NONE, BTM_BLE_CONN_AUTO, or BTM_BLE_CONN_SELECTIVE </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_select_cback</parametername>
</parameternamelist>
<parameterdescription>
<para>callback for BTM_BLE_CONN_SELECTIVE</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if background connection set </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="623" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__conn__whitelist__functions_1gad7f505c3aff3493b571ee9bd8e3983a7" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_update_background_connection_device</definition>
        <argsstring>(wiced_bool_t add_remove, wiced_bt_device_address_t remote_bda)</argsstring>
        <name>wiced_bt_ble_update_background_connection_device</name>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>add_remove</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <briefdescription>
<para>This function is called to add or remove a device into/from background connection procedure. </para>
        </briefdescription>
        <detaileddescription>
<para>The background connection procedure is decided by the background connection type, it can be auto connection, or selective connection.</para>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">add_remove</parametername>
</parameternamelist>
<parameterdescription>
<para>TRUE to add; FALSE to remove. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>device address to add/remove.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>TRUE if successful </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="638" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__conn__whitelist__functions_1ga75fbda062c4d99e4edd39e0a9b4a3bd4" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref></type>
        <definition>wiced_result_t wiced_bt_ble_get_connection_parameters</definition>
        <argsstring>(wiced_bt_device_address_t remote_bda, wiced_bt_ble_conn_params_t *p_conn_parameters)</argsstring>
        <name>wiced_bt_ble_get_connection_parameters</name>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type><ref kindref="compound" refid="structwiced__bt__ble__conn__params__t">wiced_bt_ble_conn_params_t</ref> *</type>
          <declname>p_conn_parameters</declname>
        </param>
        <briefdescription>
<para>To read LE connection parameters based on connection address received in gatt connection up indication. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>: remote device address. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">p_conn_parameters</parametername>
</parameternamelist>
<parameterdescription>
<para>: Connection Parameters</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_result_t <linebreak />
 <bold> WICED_BT_ILLEGAL_VALUE </bold> : if p_conn_parameters is NULL. <linebreak />
<bold> WICED_BT_UNKNOWN_ADDR </bold> : if device address is bad. <linebreak />
<bold> WICED_BT_SUCCESS </bold> otherwise. </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="653" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__conn__whitelist__functions_1ga5edbbefb348b6ac757c7b98c5c7461ea" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_update_advertising_white_list</definition>
        <argsstring>(wiced_bool_t add, wiced_bt_device_address_t remote_bda)</argsstring>
        <name>wiced_bt_ble_update_advertising_white_list</name>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>add</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <briefdescription>
<para>Add or remove device from advertising white list. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">add</parametername>
</parameternamelist>
<parameterdescription>
<para>TRUE to add; FALSE to remove </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>remote device address.</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>wiced_bool_t (<bold> WICED_TRUE </bold> if successful else <bold> WICED_FALSE </bold>) </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="665" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__conn__whitelist__functions_1gabdb60d361b6a6527e0f02bfb4cd61138" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_update_scanner_white_list</definition>
        <argsstring>(wiced_bool_t add, wiced_bt_device_address_t remote_bda, wiced_bt_ble_address_type_t addr_type)</argsstring>
        <name>wiced_bt_ble_update_scanner_white_list</name>
        <param>
          <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
          <declname>add</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1gacf9a377aceca799be625c0dfe554902e">wiced_bt_device_address_t</ref></type>
          <declname>remote_bda</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
          <declname>addr_type</declname>
        </param>
        <briefdescription>
<para>Add or remove device from scanner white list. </para>
        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername direction="in">add</parametername>
</parameternamelist>
<parameterdescription>
<para>TRUE to add; FALSE to remove </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">remote_bda</parametername>
</parameternamelist>
<parameterdescription>
<para>remote device address. </para>
</parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername direction="in">addr_type</parametername>
</parameternamelist>
<parameterdescription>
<para>: remote device address type .</para>
</parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>WICED_TRUE if successful else WICED_FALSE </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="678" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__conn__whitelist__functions_1ga0b5e961cacea2b8efab9e9df400765c8" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__gentypes_1ga2bc92bd117cfd3f6ec4ae452e6ced064">wiced_bool_t</ref></type>
        <definition>wiced_bool_t wiced_bt_ble_clear_white_list</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_ble_clear_white_list</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Request clearing white list in controller side. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>TRUE if request of clear is sent to controller side </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="688" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__btm__ble__conn__whitelist__functions_1gae8aa6c1c586d20f60f2723970edbebdf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_ble_get_white_list_size</definition>
        <argsstring>(void)</argsstring>
        <name>wiced_bt_ble_get_white_list_size</name>
        <param>
          <type>void</type>
        </param>
        <briefdescription>
<para>Returns size of white list size in controller side. </para>
        </briefdescription>
        <detaileddescription>
<para><simplesect kind="return"><para>size of whitelist in current controller </para>
</simplesect>
</para>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_ble.h" line="698" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This section provides functions for BLE connection related and whitelist operations. </para>
    </briefdescription>
    <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;For whitelist operation, the controller should support this. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>
    </detaileddescription>
  </compounddef>
</doxygen>